otb (6.6.0+dfsg-2build1) disco; urgency=medium

  * No-change rebuild for Python3.7 as the default Python 3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 17:45:16 +0100

otb (6.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Drop unused overrides for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 12:02:41 +0200

otb (6.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols for amd64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jun 2018 16:42:26 +0200

otb (6.6.0~rc4+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Don't explicitly enable OpenMP, enabled via Shark dependency.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jun 2018 10:02:47 +0200

otb (6.6.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Update symbols for amd64 & i386.
  * Add manpages for new executables.
  * Add patch to fix spelling errors.
  * Drop spelling-errors.patch, applied upstream.
  * Add lintian override for manpage-has-errors-from-man.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jun 2018 20:34:54 +0200

otb (6.6.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Add manpages for new executables.
  * Generate control file from control.in template.
  * Drop patches, applied upstream.
  * Drop unused spelling-error-in-binary override.
  * Re-enable libshark support, support for Shark 3.1.4 restored.
  * Enable OpenMP, Shark has it enabled as well.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jun 2018 17:47:12 +0200

otb (6.6.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Drop patches, included upstream.
  * Disable libshark support, causes FTBFS, see:
    https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/issues/1592
  * Add upstream patch to fix QGIS wrapper FTBFS.
  * Use Qt5 for Monteverdi.
    (closes: #875083)
  * Add patch to support libqwt provided by libqwt-qt5-dev.
  * Add library package for libOTBLearningBase.
  * Add otb-qgis package for otbQgisDescriptor application.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 May 2018 16:59:49 +0200

otb (6.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add upstream patch to fix FTBFS with GDAL 2.3.0.
    (closes: #896837)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Apr 2018 18:06:58 +0200

otb (6.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jan 2018 18:22:04 +0100

otb (6.4.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Update copyright-format URL to use HTTPS.
  * Drop patches, included upstream.
  * Enable Python 3 wrapper.
  * Update symbols for amd64.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update lintian override for spelling-error-in-binary false positive.
  * Add patch to fix spelling errors.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jan 2018 11:02:16 +0100

otb (6.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Don't explicitly build with GCC 6, libshark now supports GCC 7.
  * Drop libproj-dev build dependency, not directly required and alreadyu
    pulled in via libgdal-dev.
  * Bump Standards-Version to 4.1.2, no changes.
  * Add upstream patches to support OSSIM 2.2.0.
  * Update lintian overrides for spelling-error false positives.
  * Remove old license from rules file.
  * Update symbols for amd64.
  * Override dh_installdocs to install NOTICE file in all packages.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2017 20:14:46 +0100

otb (6.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Mark otb-i18n as Multi-Arch foreign.
  * Update symbols for i386.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Oct 2017 10:23:10 +0200

otb (6.2.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Bump Standards-Version to 4.1.1, no changes.
  * Add lintian override for python-foo-but-no-python3-foo.
  * Bump minimum required CMake to 3.1.0.
  * Drop patches, applied/included upstream.
  * Change build dependency to libqwt-dev.
  * Don't install static libraries, no longer built.
  * Add library packages for libOTB{Mapla,Monteverdi}.
  * Update symbols for amd64.
  * Drop unused override for hardening-no-fortify-functions.
  * Add patch to fix spelling errors.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Oct 2017 14:58:17 +0200

otb (6.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Explicitly build with GCC 6, libshark FTBFS with GCC 7.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Aug 2017 20:35:58 +0200

otb (6.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with CMake 3.9.0.
    (closes: #869888)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2017 14:04:03 +0200

otb (6.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Replace opencv-i386.patch with upstream patch.
    (closes: #865414)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 18:59:08 +0200

otb (6.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.0.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Drop unused lintian override for spelling-error-in-binary.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 21:11:44 +0200

otb (6.0.0+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add patch to fix detection of OpenCV on i386 architecture.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Jun 2017 15:13:13 +0200

otb (6.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-enable OpenCV support, 3.1 should be supported now.
  * Enable shark support.
  * Enable SVM support.
  * Update copyright file, changes:
    - Project changed license from CeCILL-2.0 to Apache-2.0
    - Update license & copyright for OSSIM plugins
  * Add additional Boost (build) dependencies.
  * Drop libotbiomw package, library no longer built.
  * Update symbols for amd64.
  * Update lintian overrides for spelling error false positives.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 May 2017 14:12:46 +0200

otb (5.10.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Mar 2017 18:21:56 +0100

otb (5.10.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, applied upstream.
  * Update symbols for amd64.
  * Drop obsolete OTB_USE_OPENJPEG CMake option.
  * Add manpage for otb{cli,gui}_DomainTransform.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Feb 2017 20:06:13 +0100

otb (5.8.0+dfsg-4~exp1) experimental; urgency=medium

  * Team upload.
  * Add patch to set OTB_APPLICATION_PATH environment variable for
    monteverdi executable.
  * Add lintian override for desktop-command-not-in-package.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Feb 2017 21:20:02 +0100

otb (5.8.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add monteverdi to libotb-dev dependencies.
  * Add dh-python to build dependencies.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jan 2017 14:55:22 +0100

otb (5.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add lintian override for binary-without-manpage (not useful for GUI apps).
  * Update symbols for i386.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Dec 2016 13:48:41 +0100

otb (5.8.0+dfsg-2~exp1) experimental; urgency=medium

  * Team upload.
  * Add libqwt5-qt4-dev to (build) dependencies for Monteverdi module.
  * Add OTB_USE_QWT CMake option for Monteverdi module.
  * Include static libraries in libotb-dev package.
  * Add library package for libOTBMonteverdiGUI.
  * Add symbols file for libOTBMonteverdiGUI.
  * Add monteverdi package to include mapla & monteverdi executables.
  * Add patch to install monteverdi icons along with the application.
  * Include icons and desktop file in monteverdi package.
  * Add patch to add Keywords entry to monteverdi desktop file.
  * Add otb-i18n package for translation files.
  * Add sections to other binary packages.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Dec 2016 01:46:27 +0100

otb (5.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add libcurl-ssl-dev as alternative to libcurl4-gnutls-dev dependency.
  * Add patch to fix spelling errors.
  * Disable OpenCV support, FTBFS with 3.1.
    (closes: #841408)
  * Update copyright file, changes:
    - Add license & copyright for new files
    - Rename MIT license shortname to Expat
  * Add build dependency on libqt4-opengl-dev.
  * Update symbols for amd64 & i386.
  * Add library packages for libOTBQtAdapters & libOTBMonteverdiCore.
  * Don't install VERSION & i18n files.
  * Add manpage for MultiImageSamplingRate application.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2016 23:01:58 +0100

otb (5.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, applied upstream.
  * Add patch to fix spelling errors.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Aug 2016 20:36:08 +0200

otb (5.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Update copyright file, changes:
    - Update list of LGPL-2 ossim plugin files
    - Add license & copyright for SPTW
  * Add python-numpy to build dependencies.
  * Override dh_python2 to call dh_numpy too.
  * Add patch to only use OTB_GIT_STATUS_MESSAGE in message function if set.
  * Update symbols for amd64 & i386.
  * Add library package for libOTBStatistics.
  * Add patch to fix spelling errors.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jul 2016 14:26:00 +0200

otb (5.4.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop unused overrides for spelling-error-in-binary false positives.
  * Update spelling-errors.patch to fix 'symmetric' typo.
  * Rebuild with ITK 4.10.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Jul 2016 11:32:41 +0200

otb (5.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Apply patch by Pino Toscano reduce hardcoded library build dependencies.
    (closes: #827157)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2016 08:50:33 +0200

otb (5.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Exclude documentation with problematic license terms.
  * Add (build) dependencies for gl, glew & glfw.
  * Drop patches, applied upstream.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add library package for libOTBSampling.
  * Extract upstream version for symbols from changelog.
  * Enable all hardening buildflags.
  * Add library package for libOTBIce.
  * Add patch to fix spelling errors.
  * Update symbols for amd64 & i386.
  * Add manpages for otb{cli,gui}_{PolygonClassStatistics,SARCalibration}.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 17:38:27 +0200

otb (5.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Update watch file to use orfeo-toolbox.org.
  * Drop patches, applied upstream.
  * Add upstream patch to fix FTBFS with ITK 4.9.0.
  * Fix 'existing' typo in package description.
  * Add patch for various spelling errors.
  * Update symbols for amd64 & i386.
  * Add patch to support both ITK 4.8 and ITK 4.9.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Mar 2016 00:09:15 +0100

otb (5.2.0+dfsg-1) unstable; urgency=medium

  [ Rashad Kanavath ]
  * Initial upload to Debian (Closes: #764860), new version and repackaged
    after previous reject

 -- Rashad Kanavath <rashad.kanavath@c-s.fr>  Mon, 28 Dec 2015 12:20:08 +0100
